Package com.clickhouse.jdbc

# Class JdbcParameterizedQuery

java.lang.Object
com.clickhouse.client.ClickHouseParameterizedQuery
com.clickhouse.jdbc.JdbcParameterizedQuery

All Implemented Interfaces:
  `Serializable`

public final class JdbcParameterizedQuery extends ClickHouseParameterizedQuery
A parameterized query is a parsed query with parameters being extracted for substitution.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`ClickHouseParameterizedQuery.QueryPart`

## Field Summary

### Fields inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`config, originalQuery`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(StringBuilder builder, Object[] values)`
`void`
`apply(StringBuilder builder, Object param, Object... more)`
`void`
`apply(StringBuilder builder, String[] values)`
`void`
`apply(StringBuilder builder, String param, String... more)`
`void`
`apply(StringBuilder builder, Collection<String> params)`
`static JdbcParameterizedQuery`
`of(ClickHouseConfig config, String query)`
Creates an instance by parsing the given query.
`protected String`
`parse()`

### Methods inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`addPart, addPart, appendLastPartIfExists, apply, apply, apply, equals, getOriginalQuery, getParameters, getParameterTemplates, getParts, getQueryParts, hashCode, hasParameter, toSqlExpression`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static JdbcParameterizedQuery of(ClickHouseConfig config, String query)
Creates an instance by parsing the given query.

Parameters:
  `config` - non-null configuration
  `query` - non-empty SQL query
Returns:
  parameterized query

### parse

protected String parse()

Overrides:
  `parse` in class `ClickHouseParameterizedQuery`

### apply

public void apply(StringBuilder builder, Collection<String> params)

Overrides:
  `apply` in class `ClickHouseParameterizedQuery`

### apply

public void apply(StringBuilder builder, Object param, Object... more)

Overrides:
  `apply` in class `ClickHouseParameterizedQuery`

### apply

public void apply(StringBuilder builder, Object[] values)

Overrides:
  `apply` in class `ClickHouseParameterizedQuery`

### apply

public void apply(StringBuilder builder, String param, String... more)

Overrides:
  `apply` in class `ClickHouseParameterizedQuery`

### apply

public void apply(StringBuilder builder, String[] values)

Overrides:
  `apply` in class `ClickHouseParameterizedQuery`